import React from "react";
export default class EngineForm<P = {}, S = {}> extends React.Component<P, S> {
    rule: any;
    property: any;
    fields: any;
    defaultSelected: any;
    formKey: string;
    loaderFormConfig(callback: any): void;
    _loaderFormConfig(formConfig: any): void;
    renderInput: (Comp: React.ComponentType, pros: any) => React.JSX.Element;
    renderLabelNode: (pros: any) => React.JSX.Element | null;
    render(): React.JSX.Element;
}
